#include <iostream>
#include <cstdlib>
#include <vector>
#include <math.h>
#include <cmath>
using namespace std;

int main()
{
	long double p, q, r, L, R, ip, iq, ir;
	long long br=0;
	cin>>p;
	cin>>q;
	cin>>r;
	cin>>L;
	cin>>R;
	vector<long long> a(R-L);
	for(long long i=L; i<R+1; i++)
	{
		if(i>p && i>q && i>r)
		{
		ip=ceil(i/p);
		iq=ceil(i/q);
		ir=ceil(i/r);
		if(ip+iq+ir<=i) br++;
		}  
	}
	cout<<br;
	return 0;
}